v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/randlists/{rndlistid}/blocks
Updates randomization list blocks in a study. Rights: OrsRandListPost, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
rndlistid(required): string(uuid)
ID of the randomization list.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- */*
Root Schema : schema
Type:
objectRequest object to create randomization list block.
Show Source
-
blocks(required): array
blocks
Minimum Number of Items:
1Maximum Number of Items:2147483647
Nested Schema : blocks
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
Show Source
2147483647-
Array of:
object Randomization List Block Request
Title:
Randomization List Block RequestRandomization block request object.
Example:
[
{
"blockSize":4,
"blockCount":10
}
]Nested Schema : Randomization List Block Request
Type:
objectTitle:
Randomization List Block RequestRandomization block request object.
Show Source
-
block(required): integer
(int32)
Block number.Example:
5 -
blockedBy(required): string
Blocked by site, country, etc.Example:
Site1001
Example:
{
"blockSize":4,
"blockCount":10
}Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
string(uuid)Examples
400 Response
For a dynamic algorithm, you can't assign blocks to a blocked parameter. Or invalid blocked by value.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
For Invalid study ID or version or randomization List not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples